package com.yifu.cloud.plus.v1.yifu.insurances.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author licancan
 * @description 商险办理新增入参
 * @date 2022-07-18 17:03:31
 */
@Data
public class InsuranceAddParam  implements Serializable {
	private static final long serialVersionUID = -2689686777914935788L;
	/**
	 * 订单编号
	 */
	@NotBlank(message = "订单编号不能为空")
	@Length(max = 32, message = "订单编号不能超过32个字符")
	@Schema(description = "订单编号")
	private String orderNo;

	/**
	 * 员工姓名
	 */
	@NotBlank(message = "员工姓名不能为空")
	@Length(max = 32, message = "员工姓名不能超过32个字符")
	@Schema(description = "员工姓名")
	private String empName;

	/**
	 * 员工身份证号
	 */
	@NotBlank(message = "员工身份证号不能为空")
	@Length(max = 32, message = "员工身份证号不能超过32个字符")
	@Schema(description = "员工身份证号")
	private String empIdcardNo;

	/**
	 * 项目编码
	 */
	@NotBlank(message = "项目编码不能为空")
	@Length(max = 32, message = "项目编码不能超过32个字符")
	@Schema(description = "项目编码")
	private String deptNo;

	/**
	 * 保险公司名称
	 */
	@NotBlank(message = "保险公司名称不能为空")
	@Length(max = 32, message = "保险公司名称不能超过32个字符")
	@Schema(description = "保险公司名称")
	private String insuranceCompanyName;
	/**
	 * 险种名称
	 */
	@NotBlank(message = "险种名称不能为空")
	@Length(max = 32, message = "险种名称不能超过32个字符")
	@Schema(description = "险种名称")
	private String insuranceTypeName;

	/**
	 * 保单开始时间
	 */
	private LocalDate policyStart;

	/**
	 * 保单结束时间
	 */
	private LocalDate policyEnd;

	/**
	 * 商险购买地省名称
	 */
	private String insuranceProvinceName;

	/**
	 * 商险购买地市名称
	 */
	private String insuranceCityName;

	/**
	 * 商险办理省名称
	 */
	private String insuranceHandleProvinceName;

	/**
	 * 商险办理城市名称
	 */
	private String insuranceHandleCityName;

	/**
	 * 结算月
	 */
	private String settleMonth;

	/**
	 * 岗位
	 */
	private String post;

	/**
	 * 备注
	 */
	private String remark;
}
